<?php



/*

Plugin Name: KnxDT Bookmarks
Plugin URI: http://www.tecnologiadiaria.com/proyectos/knxdt-bookmarks/
Description: KnxDT Bookmarks permite insertar social bookmarks (marcadores sociales) en los posts de tu blog, tales como Digg, Meneame, Fresqui, Delicious, etc.
Version: 1.7
Author: KnxDT
Author URI: http://www.tecnologiadiaria.com

 * License:       GNU General Public License, v2 (or newer)
 * License URI:  http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 *
 * Thanks to Justin Tadlock, as well as Otto and the other fine folks at
 * the WPTavern forum (www.wptavern.org/forum) for help with this plugin
 */ 



add_action('init', 'init_textdomain_knx');

add_filter('the_content', 'bookmarks_content');

function init_textdomain_knx(){
  load_plugin_textdomain('knxdt_bookmarks',WP_PLUGIN_URL . '/' . dirname(plugin_basename (__FILE__)) . '/lang');
}



function knxdt_bookmarks_options() {

      $bmknxdt = $nuevobmknxdt = get_option('bmknxdt_options');

   if(isset($_POST['submitted'])){

      //Capturamos la data del formulario enviado

      $nuevobmknxdt['delicious'] = strip_tags(stripslashes($_POST["delicious"]));
      $nuevobmknxdt['digg'] = strip_tags(stripslashes($_POST["digg"]));
      $nuevobmknxdt['google'] = strip_tags(stripslashes($_POST["google"]));
      $nuevobmknxdt['yahoo'] = strip_tags(stripslashes($_POST["yahoo"]));
      $nuevobmknxdt['technorati'] = strip_tags(stripslashes($_POST["technorati"]));
      $nuevobmknxdt['meneame'] = strip_tags(stripslashes($_POST["meneame"]));
      $nuevobmknxdt['fresqui'] = strip_tags(stripslashes($_POST["fresqui"]));
      $nuevobmknxdt['enchilame'] = strip_tags(stripslashes($_POST["enchilame"]));
      $nuevobmknxdt['blinklist'] = strip_tags(stripslashes($_POST["blinklist"]));
      $nuevobmknxdt['simpy'] = strip_tags(stripslashes($_POST["simpy"]));
      $nuevobmknxdt['spurl'] = strip_tags(stripslashes($_POST["spurl"]));
      $nuevobmknxdt['reddit'] = strip_tags(stripslashes($_POST["reddit"]));
      $nuevobmknxdt['autobombeame'] = strip_tags(stripslashes($_POST["autobombeame"]));
      $nuevobmknxdt['bitacoras'] = strip_tags(stripslashes($_POST["bitacoras"]));
      $nuevobmknxdt['designfloat'] = strip_tags(stripslashes($_POST["designfloat"]));
      $nuevobmknxdt['wikio'] = strip_tags(stripslashes($_POST["wikio"]));
      $nuevobmknxdt['friendfeed'] = strip_tags(stripslashes($_POST["friendfeed"]));
      $nuevobmknxdt['facebook'] = strip_tags(stripslashes($_POST["facebook"]));
      $nuevobmknxdt['twitter'] = strip_tags(stripslashes($_POST["twitter"]));
      $nuevobmknxdt['emailthis'] = strip_tags(stripslashes($_POST["emailthis"]));

      $nuevobmknxdt['textshare'] = strip_tags(stripslashes($_POST["textshare"]));

      $nuevobmknxdt['inserauto'] = $_POST["inserauto"];

      //Actualizamos las opciones

      update_option("bmknxdt_options", $nuevobmknxdt); 

      //Primer parametro es el nombre de la opcion y el segundo es el valor, se guardaran en la BD de WP
      //Imprimimos un mensaje que todo esta OK

      echo "<div id=\"message\" class=\"updated fade\"><p><strong>Opciones actualizadas.</strong></p></div>";

   } //fin del isset



	
   if ( $bmknxdt != $nuevobmknxdt ) {
		$bmknxdt = $nuevobmknxdt;
		update_option('bmknxdt_options', $bmknxdt);
   }


   echo '

      <div class="wrap" id="sm_div">
      <style type="text/css">

      a.enlaceInicio{
      background-image:url('.get_bloginfo('wpurl').'/wp-content/plugins/knxdt-bookmarks-wordpress-plugin/images/icon-arne.gif);
      padding:2px;
      display:block;
      padding-left:25px;
      background-repeat:no-repeat;
      background-position:5px 50%;
      text-decoration:none;
      border:none;
      }

      .sm-padded .inside {
      margin:12px!important;
      }

      </style>

      <h2>KnxDT Bookmarks Wordpress Plugin 1.7 </h2>
      <div id="poststuff" class="metabox-holder has-right-sidebar">
            <div class="inner-sidebar">
                 <div id="side-sortables" class="meta-box-sortabless ui-sortable" style="position:relative;"> 
  		       <div id="sm_pnres" class="postbox">
 		          <h3 class="hndle"><span>Sobre este plugin:</span></h3>
		              <div class="inside">
                		<p><a class="enlaceInicio" href="http://www.tecnologiadiaria.com/proyectos/knxdt-bookmarks/readme.html" target="_blank">P&aacute;gina del Plugin</a></p>
		                <p><a class="enlaceInicio" href="http://www.tecnologiadiaria.com/" target="_blank">Tecnolog&iacute;a Diaria</a></p>
              		      </div><!--fin del class:inside-->
		       </div><!--fin del id:sm_pnres-->

		       <div id="sm_smres" class="postbox">
			   <h3 class="hndle"><span>Suscripcion a Tecnolog&iacute;a Diaria:</span></h3>
			      <div class="inside">
				<form style="border:1px solid #ccc;padding:3px;text-align:center;width:96%; " action="http://www.feedburner.com/fb/a/emailverify" method="post" target="popupwindow" onsubmit="window.open("http://www.feedburner.com/fb/a/emailverifySubmit?feedId=995044", "popupwindow", "scrollbars=yes,width=550,height=520");return true">Ingresa tu email:<br /><input type="text" style="width:140px" name="email"/><br /><input type="hidden" value="http://feeds.feedburner.com/~e?ffid=995044" name="url"/><input type="hidden" value=" El blog de KnxDT" name="title"/><input type="hidden" name="loc" value="es_ES"/><input type="submit" value="  Suscribir  " /><br/>
				</form>
              		      </div><!--fin del class:inside-->
		       </div><!--fin del id:sm_pnres-->	

         	       <div id="dm_donations" class="postbox">
           		   <h3 class="hndle"><span>Donaciones:</span></h3>
              		      <div class="inside">
                		<p>Toda donaci&oacute;n es bien recibida. Gracias.</p>
                                <div style="text-align:center;">
				<form action="https://www.paypal.com/cgi-bin/webscr" method="post">
                		<input type="hidden" name="cmd" value="_s-xclick">
                		<input type="hidden" name="hosted_button_id" value="2040283">
                		<input type="image" src="https://www.paypal.com/es_ES/ES/i/btn/btn_donate_SM.gif" border="0" name="submit" alt="">
                		<img alt="" border="0" src="https://www.paypal.com/es_ES/i/scr/pixel.gif" width="1" height="1">
                		</form>
			        </div>
              		      </div><!--fin del class:inside-->
		       </div><!--fin del id:dm_donations-->	
        	 </div><!--fin del id:side-sortables-->
            </div><!--fin del class:inner-sidebar-->

	    <!--fin del sidebar-->

	    <form method="post" action="'.get_bloginfo('wpurl').'/wp-admin/options-general.php?page=knxdt-bookmarks-wordpress-plugin/knxdt_bookmarks.php">											
	       <div class="has-sidebar sm-padded" >		
	          <div id="post-body-content" class="has-sidebar-content">
  		     <div class="meta-box-sortabless">

		     <!-- Area de Configuracion -->
		     <div id="sm_rebuild" class="postbox">
		         <h3 class="hndle"><span>Seleccionar Marcadores Sociales:</span></h3>
			     <div class="inside">
				<p>Aqui puedes configurar los marcadores que desees mostrar:</p>
				<table width="98%" border="0" cellspacing="2" cellpadding="2">
				   <tr style="background:#ebebeb;"><td colspan="3"><input type="text" maxlength="20" name="textshare" value="'; echo trim($nuevobmknxdt['textshare']); echo'" ><span class="description">&nbsp;El texto mostrado al lado de los iconos (experimental). Por defecto: Compartelo.</span></td></tr><tr>';



   echo '<td width="100"><input type="checkbox" name="delicious" value="true"';
	if( $nuevobmknxdt['delicious'] == "true" ){ echo ' checked="checked"'; }
   echo '
      ></input> Delicious </td><td width="100"><input type="checkbox" name="digg" value="true"';	
        if( $nuevobmknxdt['digg'] == "true" ){ echo ' checked="checked"'; }
   echo '
      ></input> Digg</td><td width="100"><input type="checkbox" name="google" value="true"';
        if( $nuevobmknxdt['google'] == "true" ){ echo ' checked="checked"'; }
   echo '
      ></input> Google</td></tr><tr><td width="100"><input type="checkbox" name="yahoo" value="true"';
        if( $nuevobmknxdt['yahoo'] == "true" ){ echo ' checked="checked"'; }
   echo '
      ></input> Yahoo</td><td width="100"><input type="checkbox" name="technorati" value="true"';
        if( $nuevobmknxdt['technorati'] == "true" ){ echo ' checked="checked"'; }
   echo '
      ></input> Technorati</td><td width="100"><input type="checkbox" name="meneame" value="true"';
        if( $nuevobmknxdt['meneame'] == "true" ){ echo ' checked="checked"'; }
   echo '
      ></input> Men&eacute;ame</td></tr><tr><td width="100"><input type="checkbox" name="fresqui" value="true"';
        if( $nuevobmknxdt['fresqui'] == "true" ){ echo ' checked="checked"'; }
   echo '
      ></input> Fresqui</td><td width="100"><input type="checkbox" name="enchilame" value="true"';
        if( $nuevobmknxdt['enchilame'] == "true" ){ echo ' checked="checked"'; }
   echo '
      ></input> Enchilame</td><td width="100"><input type="checkbox" name="blinklist" value="true"';
        if( $nuevobmknxdt['blinklist'] == "true" ){ echo ' checked="checked"'; }
   echo '
      ></input> Blinklist</td></tr><tr><td width="100"><input type="checkbox" name="simpy" value="true"';
        if( $nuevobmknxdt['simpy'] == "true" ){ echo ' checked="checked"'; }
   echo '
      ></input> Simpy</td><td width="100"><input type="checkbox" name="spurl" value="true"';	
        if( $nuevobmknxdt['spurl'] == "true" ){ echo ' checked="checked"'; }
   echo '
      ></input> Spurl</td><td width="100"><input type="checkbox" name="reddit" value="true"';
        if( $nuevobmknxdt['reddit'] == "true" ){ echo ' checked="checked"'; }
   echo '
      ></input> Reddit</td></tr><tr><td width="100"><input type="checkbox" name="autobombeame" value="true"';
        if( $nuevobmknxdt['autobombeame'] == "true" ){ echo ' checked="checked"'; }
   echo '
      ></input> Hotmail</td><td width="100"><input type="checkbox" name="bitacoras" value="true"';
        if( $nuevobmknxdt['bitacoras'] == "true" ){ echo ' checked="checked"'; }
   echo '
      ></input> Bitacoras</td><td width="100"><input type="checkbox" name="designfloat" value="true"';
        if( $nuevobmknxdt['designfloat'] == "true" ){ echo ' checked="checked"'; }
   echo '
      ></input> Design Float</td></tr><tr><td width="100"><input type="checkbox" name="wikio" value="true"';
        if( $nuevobmknxdt['wikio'] == "true" ){ echo ' checked="checked"'; }
   echo '
      ></input> Wikio</td><td width="100"><input type="checkbox" name="friendfeed" value="true"';
        if( $nuevobmknxdt['friendfeed'] == "true" ){ echo ' checked="checked"'; }
   echo '
      ></input> FriendFeed</td><td width="100"><input type="checkbox" name="facebook" value="true"';
        if( $nuevobmknxdt['facebook'] == "true" ){ echo ' checked="checked"'; }
   echo '
      ></input> Facebook</td></tr><tr><td width="100"><input type="checkbox" name="twitter" value="true"';
	if( $nuevobmknxdt['twitter'] == "true" ){ echo ' checked="checked"'; }
   echo '
      ></input> Twitter</td><td width="100"><input type="checkbox" name="emailthis" value="true"';
	if( $nuevobmknxdt['emailthis'] == "true" ){ echo ' checked="checked"'; }
   echo '
      ></input> Email Burner</td><td width="100">&nbsp;</td></tr></table>';


echo '<p></p>';


	   echo '</div>

	</div>		


	<!-- Automatico -->

	<div id="sm_change_automatico" class="postbox">

	<h3 class="hndle"><span>Modo de inserci&oacute;n:</span></h3>

	  <div class="inside">
    	    <p><input type="radio" name="inserauto" value="1" '; if(($nuevobmknxdt['inserauto']=='1')||($nuevobmknxdt['inserauto'] == NULL)){ echo' checked="checked"';} echo ' id="auto" /> <label for="auto"> Automatico</label></p>
            <p><input type="radio" name="inserauto" value="0" '; if($nuevobmknxdt['inserauto']=='0'){ echo' checked="checked"';} echo ' id="manual" /> <label for="manual"> Manual</label></p>
         
		<!-- valor: '.$nuevobmknxdt["inserauto"].' -->
 </div>

	</div>	




								

	<!-- Feedback -->

	<div id="sm_change_feedback" class="postbox">

	<h3 class="hndle"><span>Contacto:</span></h3>

	  <div class="inside">

            Si tienes alguna duda, sugerencia o pregunta, accede <a href="http://www.tecnologiadiaria.com/contacto" target="_blank">a mi zona de contacto</a></b>.

          </div>

	</div>							

	</div>	

	<div>

	<p class="submit" style="margin-top: -20px;">';

        echo '<input name="submitted" type="hidden" value="yes" />';

        echo '<input type="submit" name="Submit" value="Actualizar Opciones &raquo;" />&nbsp;&nbsp;<input type="button" name="cancel" value="Cancelar" class="button" onclick="javascript:history.go(-1)" />

	</p>

	</div>			

	</div>

	</div>

	</div></form></div>';

?>

<?php 

}



function bookmarks_content($content) {

$nuevobmknxdt = get_option("bmknxdt_options"); //Get option title

if($nuevobmknxdt['inserauto']=='1'){
	$cad_main_end = bookmarks(); 
	/*echo "estoy aqui, en automatico";*/
	return $content.$cad_main_end;

}
else{
	/*echo "estoy aqui, en manual";*/
	return $content;

}

}




function bookmarks() {

    //Get plugin option to check if we want to show the intro

        $nuevobmknxdt = get_option("bmknxdt_options"); //Get option title

		$ninguno="true";




	   $cad_main="";
	   $blogurl = get_bloginfo('wpurl');
	   $urlimg = $blogurl."/wp-content/plugins/knxdt-bookmarks-wordpress-plugin/images/";
	   $stlimg = " alt='' class='book_img' border='none' style='margin:1px; padding: 0;' ";

	   
	   $blinklist_link = "http://www.blinklist.com/index.php?Action=Blink/addblink.php&amp;Description=&amp;Url=";  

	   $autobombeame_link = "http://www.hotmail.com";

	   $delicious_link = "http://delicious.com/post?url=";

	   $digg_link = "http://digg.com/submit?url=";

	   $enchilame_link = "http://enchilame.com/submit.php?url=";

	   $fresqui_link = "http://tec.fresqui.com/post?url=";

	   $google_link = "http://www.google.com/bookmarks/mark?op=edit&amp;bkmk=";

	   $referer_link = "http://www.tuhotmailcorreo.com";

	   $meneame_link = "http://meneame.net/submit.php?url=";

	   $reddit_link = "http://reddit.com/submit?url=";

	   $simpy_link = "http://www.simpy.com/simpy/LinkAdd.do?href=";

	   $spurl_link = "http://www.spurl.net/spurl.php?url=";

	   $technorati_link = "http://www.technorati.com/faves?add=";

	   $yahooweb_link = "http://myweb2.search.yahoo.com/myresults/bookmarklet?u=";

	   $bitacoras_link = "http://bitacoras.com/votar/anotacion/externo/mini/";

	   $designfloat_link = "http://www.designfloat.com/submit.php?url=";

	   $wikio_link = "http://www.wikio.es/vote?url=";

	   $friendfeed_link = "http://friendfeed.com/?url=";

	   $facebook_link = "http://www.facebook.com/share.php?u=";

	   $twitter_link = "http://twitter.com/home?status=";	

	   $emailthis_link= "http://www.feedburner.com/fb/a/emailFlare?itemTitle=";


	   $cadena = "&amp;title=";

	   $charyahoo = "&amp;t=";

	   $charemail = "&amp;uri=";
	

	   $post = urlencode(get_permalink());

	   $titulo = urlencode(the_title('','',false));

		


  		$cad_main = $cad_main."<div class='bookmark'>
		<table align='left' border='0' cellpadding='0' width='100%'>
		<tr>";

		if(trim($nuevobmknxdt['textshare'])==NULL){
			$cad_main = $cad_main."<td>";
		}else{
			$cad_main = $cad_main."<td style='vertical-align:middle' valign='middle' width='15%'><div class='link'><a href='$referer_link' title='Bookmarks plugin' style='text-decoration: none;'>".$nuevobmknxdt['textshare'].":</a></div></td><td>";
		}

        if( $nuevobmknxdt['delicious'] == "true" ){ 

	       $cad_main = $cad_main."<span class='pushbutton'><a href='$delicious_link$post$cadena".$titulo."' title='Delicious' target='_blank' rel='nofollow'><img src='".$urlimg."delicious.png' ".$stlimg." /></a></span>";   	

			$ninguno="false";





        }

        if( $nuevobmknxdt['digg'] == "true" ){ 

	  	$cad_main = $cad_main."<span class='pushbutton'><a href='$digg_link$post$cadena".$titulo."' title='Digg' target='_blank' rel='nofollow'><img src='".$urlimg."digg.png' ".$stlimg." /></a></span>";

			$ninguno="false";

        }

        if( $nuevobmknxdt['google'] == "true" ){ 

  		$cad_main = $cad_main."<span class='pushbutton'><a href='$google_link$post$cadena".$titulo."' title='Google' target='_blank' rel='nofollow'><img src='".$urlimg."google.png'  ".$stlimg." /></a></span>";

			$ninguno="false";

        }

        if( $nuevobmknxdt['yahoo'] == "true" ){ 

	  	$cad_main = $cad_main."<span class='pushbutton'><a href='$yahooweb_link$post$charyahoo".$titulo."' title='Yahoo' target='_blank' rel='nofollow'><img src='".$urlimg."yahoo.png' ".$stlimg." /></a></span>";

			$ninguno="false";

        }

        if( $nuevobmknxdt['technorati'] == "true" ){ 

	  	$cad_main = $cad_main."<span class='pushbutton'><a href='$technorati_link$post' title='Technorati' target='_blank' rel='nofollow'><img src='".$urlimg."technorati.png' ".$stlimg." /></a></span>";

			$ninguno="false";

        }

        if( $nuevobmknxdt['meneame'] == "true" ){ 

	  	$cad_main = $cad_main."<span class='pushbutton'><a href='$meneame_link$post' title='Meneame' target='_blank' rel='nofollow'><img src='".$urlimg."meneame.png' ".$stlimg." /></a></span>";

			$ninguno="false";

        }

        if( $nuevobmknxdt['fresqui'] == "true" ){ 

	  	$cad_main = $cad_main."<span class='pushbutton'><a href='$fresqui_link$post$cadena".$titulo."' title='Fresqui' target='_blank' rel='nofollow'><img src='".$urlimg."fresqui.png' ".$stlimg." /></a></span>";

			$ninguno="false";

        }

        if( $nuevobmknxdt['enchilame'] == "true" ){ 

	  	$cad_main = $cad_main."<span class='pushbutton'><a href='$enchilame_link".urldecode($post)."' target='_blank' rel='nofollow'><img title='Enchilame' src='".$urlimg."enchilame.png' ".$stlimg." /></a></span>";

			$ninguno="false";

        }

        if( $nuevobmknxdt['blinklist'] == "true" ){ 

	  	$cad_main = $cad_main."<span class='pushbutton'><a href='$blinklist_link$post$cadena".$titulo."' title='BlinkList' target='_blank' rel='nofollow'><img src='".$urlimg."blinklist.png' ".$stlimg." /></a></span>";

			$ninguno="false";

        }

        if( $nuevobmknxdt['simpy'] == "true" ){ 


		  $cad_main = $cad_main."<span class='pushbutton'><a href='$simpy_link$post$cadena".$titulo."' title='Simpy' target='_blank' rel='nofollow'><img src='".$urlimg."simpy.png' ".$stlimg." /></a></span>";

			$ninguno="false";

        }

        if( $nuevobmknxdt['spurl'] == "true" ){ 

		  $cad_main = $cad_main."<span class='pushbutton'><a href='$spurl_link$post$cadena".$titulo."' title='Spurl' target='_blank' rel='nofollow'><img src='".$urlimg."spurl.png'  ".$stlimg." /></a></span>";

			$ninguno="false";

        }

        if( $nuevobmknxdt['reddit'] == "true" ){ 

		  $cad_main = $cad_main."<span class='pushbutton'><a href='$reddit_link$post$cadena".$titulo."' title='Reddit' target='_blank' rel='nofollow'><img src='".$urlimg."reddit.png' ".$stlimg." /></a></span>";

			$ninguno="false";

        }

        if( $nuevobmknxdt['autobombeame'] == "true" ){ 

		  $cad_main = $cad_main."<span class='pushbutton'><a href='$autobombeame_link' target='_blank' title='hotmail'><img src='".$urlimg."linklove.png' alt='hotmail correo' class='book_img' border='none' style='margin:1px; padding: 0;' /></a></span>";

			$ninguno="false";

        }

        if( $nuevobmknxdt['bitacoras'] == "true" ){ 

	        $cad_main = $cad_main."<span class='pushbutton'><a href='$bitacoras_link".preg_replace('/^https?:\/\//', '', get_permalink())."' title='Bitacoras.com' target='_blank' rel='nofollow'><img src='".$blogurl."/wp-content/plugins/knxdt-bookmarks-wordpress-plugin/images/bitacoras.png' ".$stlimg." /></a></span>";

			$ninguno="false";

        }

        if( $nuevobmknxdt['designfloat'] == "true" ){ 

	        $cad_main = $cad_main."<span class='pushbutton'><a href='$designfloat_link$post' title='Design Float' target='_blank' rel='nofollow'><img src='".$urlimg."designfloat.png' ".$stlimg." /></a></span>";

			$ninguno="false";

        }

        if( $nuevobmknxdt['wikio'] == "true" ){ 

	        $cad_main = $cad_main."<span class='pushbutton'><a href='$wikio_link$post' title='Wikio' target='_blank' rel='nofollow'><img src='".$urlimg."wikio.png'  ".$stlimg."  /></a></span>";

			$ninguno="false";

        }

        if( $nuevobmknxdt['friendfeed'] == "true" ){ 

	        $cad_main = $cad_main."<span class='pushbutton'><a href='$friendfeed_link$post$cadena".$titulo."' title='Friend Feed' target='_blank' rel='nofollow'><img src='".$urlimg."friendfeed.png' ".$stlimg." /></a></span>";

			$ninguno="false";

        }

        if( $nuevobmknxdt['facebook'] == "true" ){ 

	        $cad_main = $cad_main."<span class='pushbutton'><a href='$facebook_link$post$charyahoo".$titulo."' title='Facebook' target='_blank' rel='nofollow'><img src='".$urlimg."facebook.png' ".$stlimg." /></a></span>";

			$ninguno="false";

        }

        if( $nuevobmknxdt['twitter'] == "true" ){ 

	        $cad_main = $cad_main."<span class='pushbutton'><a href='$twitter_link".$titulo.": $post' title='Twitter' target='_blank' rel='nofollow'><img src='".$urlimg."twitter.png' ".$stlimg." /></a></span>";

			$ninguno="false";

        }

        if( $nuevobmknxdt['emailthis'] == "true" ){ 

	        $cad_main = $cad_main."<span class='pushbutton'><a href='$emailthis_link".$titulo."$charemail$post' title='Enviar por Email' target='_blank' rel='nofollow'><img src='".$urlimg."email.png' ".$stlimg." /></a></span>";

			$ninguno="false";

        }

$cad_main = $cad_main."<span style='font-weight:bold; padding-left: 5px;'><a href='http://wordpress.org/extend/plugins/knxdt-bookmarks-wordpress-plugin/' title='Plugin' rel='nofollow' target='_blank'>[?]</a></span>";


        if( $ninguno == "true" ){ 

			$cad_main = $cad_main."<span style=\"font-weight: bold;\">KnxDT Bookmarks</span> es un plugin creado por <a style=\"font-weight: bold;text-decoration: none;\" href=\"http://www.tecnologiadiaria.com\" target=\"_blank\">KnxDT</a>";

		}

  		$cad_main = $cad_main."</td></tr></table><br/><br/></div>";




if($nuevobmknxdt['inserauto']=='1'){
	return $cad_main;
}
else{
	echo $cad_main;
}



}





function bmknxdt_style () {

     echo "<!-- knxdt bookmarks wordpress plugin v1.5-->\n";
     echo "<link rel='stylesheet' href='".get_bloginfo('wpurl')."/wp-content/plugins/knxdt-bookmarks-wordpress-plugin/css/style.css' type='text/css' />\n";
     echo "<!-- /knxdt bookmarks wordpress plugin -->\n";

}



function bookmarks_knxdt_add_pages() {

    add_submenu_page('options-general.php', 'KnxDT Bookmarks', 'KnxDT Bookmarks', 10, __FILE__, 'knxdt_bookmarks_options');

}



//Function to create the vars in the database

function knxdt_bookmarks_install () {

     $nuevobmknxdt = get_option('bmknxdt_options');

	 $nuevobmknxdt['delicious'] = 'true';

	 $nuevobmknxdt['digg'] = 'true';

	 $nuevobmknxdt['google'] = 'true';

	 $nuevobmknxdt['yahoo'] = 'true';

	 $nuevobmknxdt['technorati'] = 'true';

	 $nuevobmknxdt['meneame'] = 'true';

	 $nuevobmknxdt['fresqui'] = 'true';

	 $nuevobmknxdt['enchilame'] = 'true';

	 $nuevobmknxdt['blinklist'] = 'true';

	 $nuevobmknxdt['simpy'] = 'false';

	 $nuevobmknxdt['spurl'] = 'false';

	 $nuevobmknxdt['reddit'] = 'false';

	 $nuevobmknxdt['autobombeame'] = 'false';

	 $nuevobmknxdt['bitacoras'] = 'true';

	 $nuevobmknxdt['designfloat'] = 'false';

	 $nuevobmknxdt['wikio'] = 'true';

	 $nuevobmknxdt['friendfeed'] = 'true';

	 $nuevobmknxdt['facebook'] = 'true';

	 $nuevobmknxdt['twitter'] = 'true';

	 $nuevobmknxdt['emailthis'] = 'true';

	 $nuevobmknxdt['textshare'] = "Compartelo";

	 $nuevobmknxdt['inserauto'] = "1";

     add_option('bmknxdt_options',$nuevobmknxdt);

      

}



//Function to delete the vars from the database

function knxdt_bookmarks_uninstall () {

     delete_option('bmknxdt_options');

}



add_action('wp_head', 'bmknxdt_style');

add_action('admin_menu', 'bookmarks_knxdt_add_pages');

register_activation_hook(__FILE__,'knxdt_bookmarks_install');

register_deactivation_hook(__FILE__,'knxdt_bookmarks_uninstall');

?>